@charset "utf-8";

/** ***************************************************************************
 * 一覧ページ
 * ************************************************************************* */

/** ---------------------------------------------------------------------------
 * 共用
 */

@media screen and (min-width:1001px) {

  body.page-archive
  #main div.body {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/** ---------------------------------------------------------------------------
 * カテゴリー
 */

body.page-archive
#pagenav ul.list {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: flex-start;
}

body.page-archive
#pagenav ul.list li {
  width: calc(100% / 2 - 10px);
  margin: 5px;
}

body.page-archive
#pagenav ul.list a {
  height: 100%;
  padding: 0.25em 1em 0.375em;
  line-height: 1.4;
  font-weight: 500;
  text-decoration: none;
  border-radius: 9999px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  transition:
    color 0.3s ease-in-out 0.0s,
    background-color 0.3s ease-in-out 0.0s;
  color: inherit;
  background-color: rgb(var(--accentcolor-2));
}

body.page-archive
#pagenav ul.list a:hover {
  color: #fff;
  background-color: rgb(var(--accentcolor-1));
}

body.page-archive
#pagenav ul.list li.current a {
  color: #fff;
  background-color: rgb(var(--accentcolor-1));
}

@media screen and (min-width:1001px) {

  body.page-archive
  #pagenav {
    width: 240px;
    flex-shrink: 0;
  }

  body.page-archive
  #pagenav ul.list {
    display: block;
  }

  body.page-archive
  #pagenav ul.list li {
    width: unset;
    margin: 0 0 10px;
  }

  body.page-archive
  #pagenav ul.list a {
    width: 100%;
    padding: 0.375em 1em 0.5em 1em;
  }

}

/** ---------------------------------------------------------------------------
 * 記事一覧
 */

body.page-archive
#article ul.list li {
  border-bottom: 1px solid #ccc;
}

body.page-archive
#article ul.list li:first-child {
  border-top: 1px solid #ccc;
}

body.page-archive
#article ul.list a {
  padding: 1em;
  color: inherit;
  text-decoration: none;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
  transition: background-color 0.3s ease-in-out 0.0s;
  background-color: transparent;
}

body.page-archive
#article ul.list a[href] {
  transition: background-color 0.3s ease-in-out 0.0s;
  background-color: transparent;
}

body.page-archive
#article ul.list a[href]:hover {
  background-color: rgba(var(--accentcolor-2), 0.2);
}

body.page-archive
#article ul.list li.hash-target a {
  background-color: rgba(var(--accentcolor-2), 0.2);
}

@media screen and (min-width:1001px) {

  body.page-archive
  #article {
    margin-top: 0;
    padding-left: 6%;
    flex-grow: 1;
  }

}

/**
 * 日付
 */

body.page-archive
#article ul.list div.time {
  line-height: 1;
}

/**
 * カテゴリー
 */

body.page-archive
#article ul.list div.category {
  min-width: 10em;
  margin-left: 1em;
  padding: 0.125em 1em 0.25em;
  color: rgb(var(--accentcolor-1));
  line-height: 1;
  font-size: 0.875em;
  font-weight: 500;
  text-align: center;
  border-radius: 9999px;
  border: 1px solid rgb(var(--accentcolor-1));
  background-color: #fff;
}

/**
 * タイトル
 */

body.page-archive
#article ul.list div.title {
  width: 100%;
  margin-top: 0.625em;
}

/** ---------------------------------------------------------------------------
 * ページャー
 */

body.page-archive
#pager {
  width: 100%;
}

/** ***************************************************************************
 * 詳細ページ
 * ************************************************************************* */

/** ---------------------------------------------------------------------------
 * 共用
 */

@media screen and (min-width:1001px) {

  body.page-single
  #main div.body {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/** ---------------------------------------------------------------------------
 * 記事内容
 */

body.page-single
#article div.article {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
}

@media screen and (min-width:1001px) {

  body.page-single
  #article {
    padding-right: 6%;
    flex-grow: 1;
  }

}

/**
 * 日付
 */

body.page-single
#article div.article div.time {
  line-height: 1;
}

/**
 * カテゴリー
 */

body.page-single
#article div.article div.category {
  min-width: 10em;
  margin-left: 1em;
  padding: 0.125em 1em 0.25em;
  color: rgb(var(--accentcolor-1));
  line-height: 1;
  font-size: 0.875em;
  font-weight: 500;
  text-align: center;
  border-radius: 9999px;
  border: 1px solid rgb(var(--accentcolor-1));
  background-color: #fff;
}

/**
 * タイトル
 */

body.page-single
#article div.article h1.title {
  width: 100%;
  margin-top: 0.5em;
  margin-bottom: 1em;
  line-height: 1.5;
  font-size: 1.5em;
  font-weight: 600;
}

@media screen and (min-width:1001px) {

  body.page-single
  #article div.article h1.title {
    margin-bottom: 1.5em;
    font-size: 1.875em;
  }

}

/**
 * 記事内容
 */

body.page-single
#article div.article div.content::after {
  content: '';
  clear: both;
  display: table;
  visibility: hidden;
}

/**
 * 一覧に戻る
 */

body.page-single
#article div.button {
  text-align: center;
}

body.page-single
#article div.button a {
  min-width: 250px;
}

/** ---------------------------------------------------------------------------
 * サイドコンテンツ
 */

body.page-single
#side {
  padding: 15px 15px 25px;
  font-weight: 500;
  border-radius: 20px;
  background-color: rgb(var(--accentcolor-2));
}

body.page-single
#side a {
  color: inherit;
  text-decoration: none;
}

@media screen and (min-width:1001px) {

  body.page-single
  #side {
    width: 240px;
    margin-top: 0;
    padding: 15px 20px 30px;
    font-size: 0.875em;
    flex-shrink: 0;
  }

}

/**
 * セクショニング
 */

body.page-single
#side .column ~ .column {
  margin-top: 20px;
}

@media screen and (min-width:1001px) {

  body.page-single
  #side .column ~ .column {
    margin-top: 30px;
  }

}

/**
 * タイトル
 */

body.page-single
#side .aside-title {
  margin-bottom: 10px;
  padding-bottom: 5px;
  line-height: 1.5;
  font-size: 1.25em;
  font-weight: 600;
  color: rgb(var(--accentcolor-1));
  border-bottom: 1px solid #ccc;
}

/**
 * カテゴリー
 */

body.page-single
#side aside.category ul.list {
  line-height: 1.5;
}

body.page-single
#side aside.category ul.list a {
  padding: 0.25em;
  display: inline-block;
  transition: color 0.3s ease-in-out 0.0s;
}

body.page-single
#side aside.category ul.list a:hover {
  color: rgb(var(--accentcolor-1));
}

/**
 * 最新の記事
 */

body.page-single
#side aside.latest ul.list li {
  padding: 3px 0;
}

body.page-single
#side aside.latest ul.list li ~ li {
  border-top: 1px solid #ccc;
}

body.page-single
#side aside.latest ul.list a {
  padding: 0.75em 0;
  display: block;
}

body.page-single
#side aside.latest ul.list a[href] {
  transition: color 0.3s ease-in-out 0.0s;
}

body.page-single
#side aside.latest ul.list a[href]:hover {
  color: rgb(var(--accentcolor-1));
}

/* タイトル */

body.page-single
#side aside.latest .aside-title {
  margin-bottom: 0;
}

/* カテゴリー */

body.page-single
#side aside.latest ul.list div.category {
  width: fit-content;
  min-width: 11em;
  margin: 5px 0;
  padding: 0.125em 1em 0.25em;
  color: rgb(var(--accentcolor-1));
  line-height: 1;
  font-size: 0.875em;
  text-align: center;
  border-radius: 9999px;
  border: 1px solid rgb(var(--accentcolor-1));
  background-color: #fff;
}

/* タイトル */

body.page-single
#side aside.latest ul.list div.title {
  letter-spacing: 0;
}

/**
 * 過去の記事
 */

body.page-single
#side aside.archive ul.list {
  line-height: 1.5;
}

body.page-single
#side aside.archive ul.list a {
  padding: 0.25em;
  display: inline-block;
  transition: color 0.3s ease-in-out 0.0s;
}

body.page-single
#side aside.archive ul.list a:hover {
  color: rgb(var(--accentcolor-1));
}
